<?php //$Id$

class profile_field_textarea extends profile_field_base {

    function edit_field_add(&$mform) {
        $cols = $this->field->param1;
        $rows = $this->field->param2;

        /// Create the form field
// (Shirai108): ユーザプロファイルフィールドの各項目の説明をポップアップ表示可能とする(2008/12/18)
// (Shirai108): ここからコメントアウト
//      $mform->addElement('htmleditor', $this->inputname, format_string($this->field->name), array('cols'=>$cols, 'rows'=>$rows));
// (Shirai108): ここから追加
        if (fs_function_enable('FS_ENABLE_POPUP_USERPROFILEDESCRIPTION')) {
            $pre  = '<SPAN TITLE="'.format_string($this->field->description).'">';
            $post = '</SPAN>';
        } else {
            $pre = $post = '';
        }
        $mform->addElement('htmleditor', $this->inputname, $pre.format_string($this->field->name).$post, array('cols'=>$cols, 'rows'=>$rows));
// (Shirai108): ここまで追加
        $mform->setType($this->inputname, PARAM_CLEAN);
    }

    /// Overwrite base class method, data in this field type is potentially too large to be
    /// included in the user object
    function is_user_object_data() {
        return false;
    }

}

?>
